/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		XTimer.h
/////////////////////////////////////////////////////////////////////////////////////
// Autor:			Christian Roesch
//
// Erstelldatum:	24.07.2001
// letzte nderung:	31.07.2001
/////////////////////////////////////////////////////////////////////////////////////
// Info:	Diese Klasse ermglicht millisekunden genaues Timing, intern wird		
//			allerdings mit der hchstmglichen Auflsung (evtl. PerformanceTimer)
//			gearbeitet
/////////////////////////////////////////////////////////////////////////////////////


#ifndef _XTimer_H
#define _XTimer_H

// includes
#include <windows.h>
#include "XLogging.h"

// Klassen-Deklaration

class	XTimer
{
public:
	XTimer	(void);
	void	setUp(void);
	void	setTime(DWORD newTime);
	DWORD	getTime();
	DWORD	update();

protected:

private:
	_int64	m_liLastTime;
	DWORD	m_dwTimeInMS;
	DWORD	m_dwOverflow;
	float	m_fTicksPerMS;
	bool	m_bPerformaceTimerEnabled;

};

#endif // _XTimer_H

class	XTimer;

/////////////////////////////////////////////////////////////////////////////////////
// Dateiname:		XTimer.h
/////////////////////////////////////////////////////////////////////////////////////
